import { Component } from 'react';
import { OutputValues } from './types/builder.outputValues';
import { InputProps } from './types/input';
import { ObjectLiteral } from './types/helper.types';
interface FormBuilderImplements {
    getValues: () => OutputValues;
    setValues: (values: ObjectLiteral) => Promise<void>;
    clear: () => Promise<void>;
}
interface IProps {
    inputs: InputProps[];
}
export declare class FormBuilder extends Component<IProps> implements FormBuilderImplements {
    private inputRefs;
    private inputs;
    private defaultValues;
    getValues: () => OutputValues;
    private setObjectValues;
    private setNormalValue;
    setValues: (value: ObjectLiteral) => Promise<any>;
    clear: () => Promise<any>;
    private renderInput;
    render(): JSX.Element;
}
export {};
